| Home | Libraries | People | FAQ | More

## Struct template root_typeof_helper<unit< Dim, System >, static_rational< N, D >>

boost::units::root_typeof_helper<unit< Dim, System >, static_rational< N, D >> — take the `static_rational` root of a unit

## Synopsis

    // In header: <boost/units/unit.hpp>

    template<typename Dim, typename System, long N, long D>
    struct root_typeof_helper<unit< Dim, System >, static_rational< N, D >> {
      // types
      typedef unit< typename static_root< Dim, static_rational< N, D > >::type, typename static_root< System, static_rational< N, D > >::type > type;

      // public static functions
      static type value(const unit< Dim, System > &) ;
    };

## Description

### `root_typeof_helper` public static functions

1.     static type value(const unit< Dim, System > &) ;